# Find Atlas includes and library
#
# This module defines
#  Atlas_INCLUDE_DIR    - the Atlas include directories
#  Atlas_LIBRARIES      - link these to use the Atlas
#  Atlas_LIBRARY_DIR    - the location of the libraries
#
# A target "Atlas::Atlas" is also provided.

set(Atlas_VERSION 0.7.0)
set(Atlas_LIBRARIES AtlasNet AtlasObjects AtlasFilters AtlasCodecs AtlasMessage Atlas)


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was Config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib/x86_64-linux-gnu/cmake/Atlas" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

set_and_check(Atlas_INCLUDE_DIR "${PACKAGE_PREFIX_DIR}/include")
set_and_check(Atlas_LIBRARY_DIR "${PACKAGE_PREFIX_DIR}/lib/x86_64-linux-gnu")

include("${CMAKE_CURRENT_LIST_DIR}/AtlasTargets.cmake")

include(CMakeFindDependencyMacro)
find_dependency(BZip2)
find_dependency(ZLIB)

check_required_components(Atlas)
